Package org.bukkit.inventory

# Interface ChiseledBookshelfInventory

All Superinterfaces:
  `Inventory`, `Iterable<ItemStack>`

@Experimental public interface ChiseledBookshelfInventory extends Inventory
Interface to the inventory of a chiseled bookshelf.

## Method Summary

Modifier and Type
Method
Description
`@Nullable ChiseledBookshelf`
`getHolder()`
Gets the block or entity belonging to the open inventory

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getHolder

@Nullable @Nullable ChiseledBookshelf getHolder()
Description copied from interface: `Inventory`
Gets the block or entity belonging to the open inventory

Specified by:
  `getHolder` in interface `Inventory`
Returns:
  The holder of the inventory; null if it has no holder.